X2Go Bug report logs - #1445
pyhoca-cli fails to connect to suspended x2go session

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Randy Goldenberg <randy.goldenberg@gmail.com>

Date: Fri, 6 Mar 2020 21:55:01 UTC

Severity: normal

Tags: pending

Found in version 0.6.1.2

Fixed in version 0.6.1.3

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1445; Package pyhoca-cli. (Fri, 06 Mar 2020 21:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Randy Goldenberg <randy.goldenberg@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 06 Mar 2020 21:55:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Randy Goldenberg <randy.goldenberg@gmail.com>
To: submit@bugs.x2go.org
Subject: pyhoca-cli fails to connect to suspended x2go session
Date: Fri, 6 Mar 2020 13:54:31 -0800
[Message part 1 (text/plain, inline)]
Package: pyhoca-cli
Version: 0.6.1.2
Tag: patch

pyhoca-cli fails to connect to suspended x2g0 sessions.

$ pyhoca-cli --server my.x2go.server -t desktop -c openbox-session -g maximize 
-R NEWEST

pyhoca-cli[13131] NOTICE: preparing requested X2Go session
pyhoca-cli[13131] (PyHocaCLI) NOTICE: preparing requested X2Go session
pyhoca-cli[13131] (x2gosessregistry-pylib) NOTICE: registering X2Go session 
Pyhoca-Client_Session...
pyhoca-cli[13131] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[13131] (x2gocontrolsession-pylib) NOTICE: connecting to 
[my.x2go.server]:22
/usr/lib/python3/dist-packages/Crypto/Cipher/blockalgo.py:141: FutureWarning: 
CTR mode needs counter parameter, not IV
self._cipher = factory.new(key, *args, **kwargs)
pyhoca-cli[13131] (PyHocaCLI) NOTICE: authentication has been successful
pyhoca-cli[13131] (PyHocaCLI) NOTICE: give the X2Go session some time to come 
up...
Traceback (most recent call last):
File "/usr/bin/pyhoca-cli", line 455, in <module>
  thisPyHocaCLI.MainLoop()
File "/usr/lib/python3/dist-packages/pyhoca/cli/frontend.py", line 702, in 
MainLoop
  self.resume_session(self.x2go_session_hash)
File "/usr/lib/python3/dist-packages/pyhoca/cli/frontend.py", line 229, in 
resume_session
  if available_sessions is None:
UnboundLocalError: local variable 'available_sessions' referenced before 
assignment

client OS: Ubuntu 16.04.6 LTS

server OS: Ubuntu 16.04.6 LTS

server's version of the x2goserver package:
x2goserver: 4.1.0.4
x2goserver-common: 4.1.0.4
x2goserver-desktopsharing: 4.1.0.3
x2goserver-extensions: 4.1.0.4
x2goserver-fmbindings: 4.1.0.4
x2goserver-printing: 4.1.0.4
x2goserver-xsession: 4.1.0.4

Patch attached.



----- End forwarded message -----
[front.py_resume_session.diff (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1445; Package pyhoca-cli. (Wed, 11 Mar 2020 00:50:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Mar 2020 00:50:03 GMT) (full text, mbox, link).


Message #10 received at 1445@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1445-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1445@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Wed, 11 Mar 2020 01:49:29 +0100 (CET)
tag #1445 pending
fixed #1445 0.6.1.3
thanks

Hi!

X2Go issue #1445 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    https://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=2b507520a7b4984d7020a6d5153d29350a24a9a9

The issue will most likely be fixed in src:pyhoca-cli (0.6.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2b507520a7b4984d7020a6d5153d29350a24a9a9
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Mar 11 01:49:07 2020 +0100

    pyhoca/cli/frontend.py: Fix reference before assignment error in resume_session() method. Thanks to Randy Goldenberg for spotting this. (Fixes: #1445).

diff --git a/debian/changelog b/debian/changelog
index e17aed8..f4e4f2d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 pyhoca-cli (0.6.1.3-0x2go1) UNRELEASED; urgency=medium
 
-  * Continue development
+  [ Mike Gabriel ]
+  * pyhoca/cli/frontend.py: Fix reference before assignment error in
+    resume_session() method. Thanks to Randy Goldenberg for spotting
+    this. (Fixes: #1445).
 
  -- X2Go Release Manager <git-admin@x2go.org>  Thu, 26 Dec 2019 17:03:42 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Mar 2020 00:50:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.6.1.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Mar 2020 00:50:04 GMT) (full text, mbox, link).


Message sent on to Randy Goldenberg <randy.goldenberg@gmail.com>:
Bug#1445. (Wed, 11 Mar 2020 00:50:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1445; Package pyhoca-cli. (Tue, 22 Aug 2023 06:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 22 Aug 2023 06:55:01 GMT) (full text, mbox, link).


Message #22 received at 1445@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1445-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1445@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Tue, 22 Aug 2023 08:51:31 +0200 (CEST)
close #1445
thanks

Hello,

we are very hopeful that X2Go issue #1445 reported by you
has been resolved in the new release (0.6.1.3) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.6.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    https://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=c6245eb5861acd4fa5ecedc9994b3549831b6b70;hp=071bd72d80d20a325613e38ed6296d2788dd65e5

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.6.1.3-0x2go1
Status: RELEASE
Timestamp: 1692686744
Date: Tue, 22 Aug 2023 08:45:44 +0200
Fixes: 1445
Changes:
 pyhoca-cli (0.6.1.3-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream release (0.6.1.3):
     - pyhoca/cli/frontend.py: Fix reference before assignment error in
       resume_session() method. Thanks to Randy Goldenberg for spotting
       this. (Fixes: #1445).
     - pyhoca-cli: Add cmdline parameter --dpi.
     - pyhoca-cli: Do input check on value passed in via the --link option.
     - pyhoca-cli: Add cmdline parameter --clipboard-mode.
     - pyhoca-cli: Follow-up fix for --dpi switch. Fix input value verification.
       Only demand an integer, if args.dpi is set to something else than None.
     - pyhoca-cli: Add --kdrive cmdline option.
     - pyhoca-cli.1 man page: Drop -d from --quiet documentation line.
     - Move --dpi cmdline option from X2Go options to NX options.
     - pyhoca-cli: Add cmdline option --list-cmdline-features. Required for
       Remmina X2Go Plugin.
     - pyhoca-cli: Write program version to STDOUT (not STDERR).
     - man/man1/pyhoca-cli.1: Add documentation for --list-cmdline-features.
     - pyhoca-cli: Don't try to immitate look_for_keys behaviour as implemented
       in the x2go Python module.
 .
   [ Daniel Teichmann ]
   * New upstream release (0.6.1.3):
     - pyhoca-cli: Print debug message before exiting pyhoca-cli.
     - Fix typo in man page.
     - Add --non-interactive cmdline option for forcefully preventing password
       queries on the TTY.
     - {pyhoca-cli, pyhoca/cli/frontend.py}: Only look for private ssh keys if
       appropriate.
     - pyhoca{-cli,/cli/frontend.py}: Add --ssh-passphrase feature.
 .
   [ Mihai Moldovan ]
   * New upstream version (0.6.1.3):
     - misc: pre-release copyright update.
     - man/man1/pyhoca-cli.1: pre-release date update.
     - misc: change http:// to https:// links where appropriate.
   * debian/control:
     + Change http:// to https:// links where appropriate.
   * debian/copyright:
     + Change http:// to https:// links where appropriate.
   * debian/watch:
     + Change http:// to https:// links where appropriate.
   * pyhoca-cli.spec:
     + Change http:// to https:// links where appropriate.
     + Drop Python 2 support for OpenSuSE Leap 15.4+ and Tumbleweed (and ALP).
     + Remove pycache handling from the files list. Python-2-variants don't
       have the concept of __pycache__ directories at all, so using
       %pycache_only there is redundant. Python-3-variants sprinkle __pycache__
       directories wherever there are .py files, which means that they are
       conveniently contained in the "pyhoca" subdirectory of sitelib. Older
       *SuSE versions, including Leap, just ignored files or directories in the
       %files list that do not exist, but Tumbleweed is throwing an error if
       you try to include a file or directory that does not exist. The fix is
       easy: don't try to include the non-existent __pycache__ top-level
       directory.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 22 Aug 2023 06:55:02 GMT) (full text, mbox, link).


Notification sent to Randy Goldenberg <randy.goldenberg@gmail.com>:
Bug acknowledged by developer. (Tue, 22 Aug 2023 06:55:02 GMT) (full text, mbox, link).


Message sent on to Randy Goldenberg <randy.goldenberg@gmail.com>:
Bug#1445. (Tue, 22 Aug 2023 06:55:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 20 Sep 2023 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jun 20 18:28:30 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.